function Afh(){}
function pfh(a){this.a=a}
function sfh(a){this.a=a}
function Cfh(a){this.a=a}
function lof(a,b){a.a=b;return a}
function mof(a){a.e=100;return a}
function nof(){this.c=new oVd;$C();this.d=Xwj}
function oef(){this.b=Uz($doc);this.a=Uz($doc)}
function Skd(a){a.a.oe(0,2);Okd(a.a.c,0,2)[zzj]=Z6j}
function Qkd(a,b,d){var e;a.a.oe(b,1);e=Okd(a.a.c,b,1);Yy(e,T_j,d.a)}
function rnh(a){var b;if(!a.d){b=new Afh;a.d=b}return a.d}
function hu(a,b,d,e){var g;nu(a,b,d);g=$t(a,b,d,e==null);e!=null&&Vy(g,e)}
function nfh(a,b,d,e){MEd.call(this,a,b,d);this.a=e;this.b=new FZi(q1b)}
function pef(a,b){if(a==0||b==0)return 0;return H1c(s1c(Math.round(b/a*100)))}
function kof(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function rfh(a,b){var d,e;d=Lkj(b);if(S4i(d,tDj).b.b!=(mjj(),ljj)){e=vZi(a.a.b,S4i(d,tDj));zfh(a.a.A,e)}else{zfh(a.a.A,null)}}
function mfh(a){var b,d;b=jdf();b5i(F4i(b),BEj,OTj);d=new p5i;a5i(S4i(d,kDj),'engine-statistics');f5i(S4i(d,mDj),b);Rkj(new hkj(d),new sfh(a))}
function qnh(a){var b;if(!a.c){b=new nfh(WDd(Iae(a.a)),rnh(a),pnh(a),(elj(oce(a.a)),r$i(mce(a.a)),uKg(Cbe(a.a))));gEd((Jae(a.a),b),dFd(Jae(a.a)));a.c=b}return a.c}
function zfh(a,b){var d;d=new fdf(AL(N$c,zuj,-1,[t1c(b.dI().a),b.eI().a,b.fI().a,b._H().a,b.bI().a,b.YH().a,b.ZH().a,b.aI().a,t1c(b.WH().a),t1c(b.gI().a),t1c(b.XH().a),t1c(b.cI().a)]));iof(a.b,d)}
function nef(a,b,d){var e,g,i;g=Xld(a.c,a.a);i=pef(b,d);if(i>0){Sy(g,cyj,hfk+i+ayj);Sy(g,ifk,hfk+i+ayj)}else{Sy(g,cyj,jfk);Sy(g,ifk,jfk)}e=new $2c;Z2c(Y2c((_Od(e.a,"<span style='padding-right:5px;'>"),e),i+ayj),QYj);Vy(g,(new a3c(e.a.a.a)).a)}
function iof(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=kof(a);if(g>b.a.b)throw new Gn(kfk+g+lfk+b.a.b);e=lNd(g>=0?(new iNd(aMd(rf(b.a,g)))).a:Lvj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=rf(b.a,o);if(null==d)throw new Gn(mfk+o+nfk);ju(a.b,p,1,d);if(!!i.a&&u1c(e.a,avj)){nef(rf(a.c,o),H1c(e.a),(new GMd($Ld(d))).a)}else if(!!i.a&&w1c(e.a,avj)){throw new Gn(ofk)}++p}}
function jof(a){var b,d,e,g,i,j,k,n,o,p;i=new gvd;Ty((ped(),i.gb),uYj);dvd(i,new Qld("<div class='metric-table-title'>"+a.d+W_j));a.b=new pu;Sy(Jq(a.b),zzj,a.e+ayj);hu(a.b,0,0,'Metric');hu(a.b,0,1,'Actual');hu(a.b,0,2,Bzj);Qkd(a.b.d,0,(rmd(),qmd));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];hu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');hu(a.b,j,1,Xwj);fVd(a.c,new oef);if(b.a){k=rf(a.c,j-1);ku(a.b,j,2,(n=new $2c,Z2c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new Yld(new a3c(n.a.a.a)),o=Xld(k.c,k.b),Hy(o,'stacked-bar-total'),Sy(o,cyj,sdk),Sy(o,ifk,'width:100%!important'),p=Xld(k.c,k.a),Hy(p,'stacked-bar-actual'),Hz(p,Xwj),k.c));nef(k,0,0)}else ju(a.b,j,2,Xwj);Qkd(a.b.d,j,qmd);b.c&&hmd(a.b.f,j,'metric-table-baseline');++j}Rkd(a.b.d,0,0,pfk);Rkd(a.b.d,0,1,pfk);Rkd(a.b.d,0,2,pfk);Skd(a.b.d);dvd(i,a.b);return i}
var rfk='Teiid Metrics',jfk='background:none',ifk='cssText',pfk='metric-table-header';S1c(2501,1,{},oef);S1c(2672,1,{},nof);_.a=null;_.e=100;S1c(4575,998,zvj,nfh);_.Ti=function(){this.A.a=this;sH(this.v,(qtf(),ptf),this)};_.Vk=function(){Gp((zp(),yp),new pfh(this))};_.Yi=function(){this.B&&mfh(this)};_.aj=function(){Ttf(this.a,this)};S1c(4576,1,{},pfh);_.vd=function(){mfh(this.a)};S1c(4577,1283,{},sfh);_.eh=function(a){rfh(this,a)};S1c(4580,1400,xvj,Afh);_.Bh=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s,t;s=new ogj;igj(s,new egj((PWd(),Rek),new Cfh(this)));q=new lef(mNj,'Session Count');p=new lef(oNj,'Memory in Use(KB)');o=new lef(qNj,'Memory Used By Active Plans(KB)');i=new lef(sNj,'Buffer Disk Reads');j=new lef(uNj,'Buffer Disk Writes');d=new lef(wNj,'Buffer Cache Reads');e=new lef(yNj,'Buffer Cache Writes');r=new lef(ANj,'Disk Space In Use(MB)');a=new lef(CNj,'Active Plan Count');t=new lef(ENj,'Waiting Plan Count');b=new lef(GNj,'Average Waiting Plan Time In Milli');n=new lef(INj,'Max Waiting Plan Water Mark Time In Milli');g=AL(d0c,puj,195,[q,p,o,i,j,d,e,r,a,t,b,n]);this.b=mof(lof(new nof,g),$C());k=QAe(TAe(YAe(UAe(XAe(new ZAe,qfk),rfk),s),'Metrics for teiid subsystem'),rfk,jof(this.b));return RAe(k)};S1c(4581,1,Luj,Cfh);_.le=function(a){mfh(this.a.a)};S1c(4737,1,ewj);_.td=function(){EFd(this.b,qnh(this.a.a))};var I2b=xMd(4575),E2b=xMd(4576),F2b=xMd(4577),K2b=xMd(4580),J2b=xMd(4581),Htb=xMd(2672),wqb=xMd(2501);Swj(yo)(76);